

Imports System.Runtime.InteropServices

<StructLayout(LayoutKind.Sequential)> _
Public Structure MidiOutCaps

    Public mid As Short             ' manufacturer identifier 

    Public pid As Short             ' product identifier

    Public driverVersion As Integer

    <MarshalAs(UnmanagedType.ByValTStr, SizeConst:=32)> _
    Public name As String

    Public technology As Short      ' the type of the Midi output device

    Public voices As Short          ' number of voices supported by an internal synthesizer device
    '                                   If the device is a port, this member is set to 0. 

    Public notes As Short           ' number of simultaneous notes supported by an internal synthesizer device
    '                                   If the device is a port, this member is set to 0. 

    Public channelMask As Short      ' channels that an internal synthesizer device responds to, where the 
    '                                    least significant bit refers to channel 0 and the most significant 
    '                                    bit to channel 15. Port devices that transmit on all channels set 
    '                                    this member to 0xFFFF

    Public support As Integer       ' optional functionality supported by the device

End Structure

